<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>A-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="index: A">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="split-index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:A">A</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html#a0_2">a0_2</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html#a11_17">a11_17</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html#a18_24">a18_24</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html#a25_39">a25_39</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html#a3_5">a3_5</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html#a40_54">a40_54</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html#a55_64">a55_64</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html#a6_10">a6_10</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html#a65_79">a65_79</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html#a80p">a80p</a></span> - fr.ici.dataImporter.iciObjects.property.<a href="../fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/transport/SubwayStation.html#add(org.locationtech.jts.geom.MultiPoint,java.lang.String%5B%5D,java.lang.String,java.lang.String,java.util.List)">add(MultiPoint, String[], String, String, List&lt;SubwayStation&gt;)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.transport.<a href="../fr/ici/dataImporter/iciObjects/transport/SubwayStation.html" title="class in fr.ici.dataImporter.iciObjects.transport">SubwayStation</a></dt>
<dd>
<div class="block">This compares a soon to be created subway station with other created subway station.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISUtil.html#addIRISCentroid(java.io.File,java.lang.String,java.io.File,java.lang.String)">addIRISCentroid(File, String, File, String)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISUtil.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISUtil</a></dt>
<dd>
<div class="block">Add the centroïd of an IRIS to a .csv File</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/POI.html#address">address</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects"><span class="type-name-link">Address</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/package-summary.html">fr.ici.dataImporter.iciObjects</a></dt>
<dd>
<div class="block">Address integration for the ICI project.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#%3Cinit%3E(java.lang.String,int,java.lang.String,java.lang.String,int,java.lang.String,org.locationtech.jts.geom.Point,boolean,boolean)">Address(String, int, String, String, int, String, Point, boolean, boolean)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Create and address from an ICI object</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature)">Address(SimpleFeature)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Create an address object from BAN data.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRIS.html#ADJUST_VALUES">ADJUST_VALUES</a></span> - Static variable in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></dt>
<dd>
<div class="block">If true, subtract the values from the initial pool when they are randomly chosen and accepted</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustFamilyWithChildrenMoreThan25(float)">adjustFamilyWithChildrenMoreThan25(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbFam1Children(float)">adjustNbFam1Children(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbFam2Children(float)">adjustNbFam2Children(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbFam3Children(float)">adjustNbFam3Children(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbFam4Children(float)">adjustNbFam4Children(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbFamilyChildHousehold(float)">adjustNbFamilyChildHousehold(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbFamilyChildlessHousehold(float)">adjustNbFamilyChildlessHousehold(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbFamilySingleParentHousehold(float)">adjustNbFamilySingleParentHousehold(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbNotPrincipalHousing(float)">adjustNbNotPrincipalHousing(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbOtherHousehold(float)">adjustNbOtherHousehold(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbPrincipalHousing(float)">adjustNbPrincipalHousing(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbSingleMenHousehold(float)">adjustNbSingleMenHousehold(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#adjustNbSingleWomanHousehold(float)">adjustNbSingleWomanHousehold(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP0_2(float)">adjustP0_2(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP11_17(float)">adjustP11_17(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP1524_SEUL(float)">adjustP1524_SEUL(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP18_24(float)">adjustP18_24(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP25_39(float)">adjustP25_39(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP2554_SEUL(float)">adjustP2554_SEUL(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP3_5(float)">adjustP3_5(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP40_54(float)">adjustP40_54(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP55_64(float)">adjustP55_64(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP5579_SEUL(float)">adjustP5579_SEUL(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP6_10(float)">adjustP6_10(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP65_79(float)">adjustP65_79(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP80(float)">adjustP80(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustP80P_SEUL(float)">adjustP80P_SEUL(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustPF(float)">adjustPF(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#adjustPM(float)">adjustPM(float)</a></span> - Method in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#affectAndSumSingleFieldPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature,java.lang.String,java.lang.String)">affectAndSumSingleFieldPerAddress(SimpleFeatureCollection, SimpleFeatureBuilder, SimpleFeature, String, String)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Sum a field to the closest address.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#affectBuildingIDsPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">affectBuildingIDsPerAddress(SimpleFeatureCollection, SimpleFeatureBuilder, SimpleFeature)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Affect the ID of buildings (from ICI objects) to the closest address(es).</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#affectBuildingToAddress(java.util.List,java.util.List)">affectBuildingToAddress(List&lt;? extends Building&gt;, List&lt;Address&gt;)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Attach building information for each address.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#affectDemoStatPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature,java.lang.String%5B%5D)">affectDemoStatPerAddress(SimpleFeatureCollection, SimpleFeatureBuilder, SimpleFeature, String[])</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Sum the affected (demographic) data of buildings to the closest address.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#affectDemoStatToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String%5B%5D)">affectDemoStatToAddress(SimpleFeatureCollection, SimpleFeatureCollection, String[])</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Affect demographic statistics in a building to (the closest) address.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#affectFieldToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String,java.lang.String,java.lang.String%5B%5D)">affectFieldToAddress(SimpleFeatureCollection, SimpleFeatureCollection, String, String, String[])</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Affect fields of an input building collection to (the closest) address.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#affectHouseholdPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">affectHouseholdPerAddress(SimpleFeatureCollection, SimpleFeatureBuilder, SimpleFeature)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Sum affected households (<i>logements</i> from BDTopo) to the closest address.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#affectHouseholdsToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)">affectHouseholdsToAddress(SimpleFeatureCollection, SimpleFeatureCollection)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Affect the number of households in a building to (the closest) address.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Household.html#affectHouseholdToHousing(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.util.List)">affectHouseholdToHousing(SimpleFeatureCollection, SimpleFeatureCollection, List&lt;? extends Building&gt;)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html#affectHousingToBG(java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)">affectHousingToBG(List&lt;BuildingGroup&gt;, File, File, File, File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></dt>
<dd>
<div class="block">Affect an housing repartition for every #buildingGroup and recalculate roomLeft once housing have been affected.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#affectIndividualsPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">affectIndividualsPerAddress(SimpleFeatureCollection, SimpleFeatureBuilder, SimpleFeature)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Sum affected individuals (from <i>H24</i> export) to the closest address(es).</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#affectIndivToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)">affectIndivToAddress(SimpleFeatureCollection, SimpleFeatureCollection)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Affect the number of individuals in a building to (the closest) address.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html#affectName(fr.ici.dataImporter.iciObjects.Address)">affectName(Address)</a></span> - Method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/POI.html#affectRoomLeft(java.util.List,java.util.List,java.io.File,java.util.List)">affectRoomLeft(List&lt;POI&gt;, List&lt;WorkingPlace&gt;, File, List&lt;? extends Building&gt;)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></dt>
<dd>
<div class="block">Affect <a href="../fr/ici/dataImporter/iciObjects/Building.html#roomLeft"><code>Building.roomLeft</code></a> to any POI present in a building</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/util/AffectSyntheticPop.html#affectSyntheticPop(java.lang.String,java.io.File,java.io.File)">affectSyntheticPop(String, File, File)</a></span> - Static method in class fr.ici.dataImporter.util.<a href="../fr/ici/dataImporter/util/AffectSyntheticPop.html" title="class in fr.ici.dataImporter.util">AffectSyntheticPop</a></dt>
<dd>
<div class="block">Affect the synthetic population generated by H24 model to a defined zone (buildings in most cases) and export it.</div>
</dd>
<dt><a href="../fr/ici/dataImporter/util/AffectSyntheticPop.html" title="class in fr.ici.dataImporter.util"><span class="type-name-link">AffectSyntheticPop</span></a> - Class in <a href="../fr/ici/dataImporter/util/package-summary.html">fr.ici.dataImporter.util</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/util/AffectSyntheticPop.html#%3Cinit%3E()">AffectSyntheticPop()</a></span> - Constructor for class fr.ici.dataImporter.util.<a href="../fr/ici/dataImporter/util/AffectSyntheticPop.html" title="class in fr.ici.dataImporter.util">AffectSyntheticPop</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/mobile/EGT.html#ages">ages</a></span> - Static variable in class fr.ici.dataImporter.mobile.<a href="../fr/ici/dataImporter/mobile/EGT.html" title="class in fr.ici.dataImporter.mobile">EGT</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/Aggregate.html" title="class in fr.ici.dataImporter.iciObjects"><span class="type-name-link">Aggregate</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/package-summary.html">fr.ici.dataImporter.iciObjects</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Aggregate.html#%3Cinit%3E(java.lang.String,org.locationtech.jts.geom.Polygon)">Aggregate(String, Polygon)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Aggregate.html" title="class in fr.ici.dataImporter.iciObjects">Aggregate</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Aggregate.html#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature)">Aggregate(SimpleFeature)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Aggregate.html" title="class in fr.ici.dataImporter.iciObjects">Aggregate</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/util/GraphAnalysis.html#analyseBuildingDistribution()">analyseBuildingDistribution()</a></span> - Static method in class fr.ici.dataImporter.util.<a href="../fr/ici/dataImporter/util/GraphAnalysis.html" title="class in fr.ici.dataImporter.util">GraphAnalysis</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/util/GraphAnalysis.html#analyseBuildingDistribution(java.util.List,java.io.File,java.io.File,java.io.File)">analyseBuildingDistribution(List&lt;? extends Building&gt;, File, File, File)</a></span> - Static method in class fr.ici.dataImporter.util.<a href="../fr/ici/dataImporter/util/GraphAnalysis.html" title="class in fr.ici.dataImporter.util">GraphAnalysis</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/AppariementBuildingBDTopo.html#apparieBuildingBDTopo(java.io.File,java.io.File)">apparieBuildingBDTopo(File, File)</a></span> - Static method in class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/AppariementBuildingBDTopo.html" title="class in fr.ici.dataImporter.paris">AppariementBuildingBDTopo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/paris/AppariementBuildingBDTopo.html" title="class in fr.ici.dataImporter.paris"><span class="type-name-link">AppariementBuildingBDTopo</span></a> - Class in <a href="../fr/ici/dataImporter/paris/package-summary.html">fr.ici.dataImporter.paris</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/AppariementBuildingBDTopo.html#%3Cinit%3E()">AppariementBuildingBDTopo()</a></span> - Constructor for class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/AppariementBuildingBDTopo.html" title="class in fr.ici.dataImporter.paris">AppariementBuildingBDTopo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneImport.html#append">append</a></span> - Static variable in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneImport.html" title="class in fr.ici.dataImporter.insee">SireneImport</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Household.html#approximateGeom">approximateGeom</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></dt>
<dd>
<div class="block">A geometry to spatially represent the household.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Individual.html#approximateGeom">approximateGeom</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/paris/ApurPOI.html" title="class in fr.ici.dataImporter.paris"><span class="type-name-link">ApurPOI</span></a> - Class in <a href="../fr/ici/dataImporter/paris/package-summary.html">fr.ici.dataImporter.paris</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/ApurPOI.html#%3Cinit%3E(int,int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,java.lang.String,org.locationtech.jts.geom.Point)">ApurPOI(int, int, String, String, String, String, String, int, String, Point)</a></span> - Constructor for class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/ApurPOI.html" title="class in fr.ici.dataImporter.paris">ApurPOI</a></dt>
<dd>
<div class="block">Constructor for social action point from APUR.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/ApurPOI.html#%3Cinit%3E(int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,org.locationtech.jts.geom.Point)">ApurPOI(int, String, String, String, String, String, int, Point)</a></span> - Constructor for class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/ApurPOI.html" title="class in fr.ici.dataImporter.paris">ApurPOI</a></dt>
<dd>
<div class="block">Constructor for new APUR POI from commerce files</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/ApurPOI.html#%3Cinit%3E(java.lang.String,int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,double,int,java.lang.String,org.locationtech.jts.geom.Point)">ApurPOI(String, int, String, String, String, String, String, String, String, double, int, String, Point)</a></span> - Constructor for class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/ApurPOI.html" title="class in fr.ici.dataImporter.paris">ApurPOI</a></dt>
<dd>
<div class="block">Constructor for already imported APUR points.</div>
</dd>
<dt><a href="../fr/ici/dataImporter/paris/ApurWorkingPlace.html" title="class in fr.ici.dataImporter.paris"><span class="type-name-link">ApurWorkingPlace</span></a> - Class in <a href="../fr/ici/dataImporter/paris/package-summary.html">fr.ici.dataImporter.paris</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/ApurWorkingPlace.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,org.locationtech.jts.geom.Point)">ApurWorkingPlace(String, String, String, String, String, String, String, String, int, Point)</a></span> - Constructor for class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/ApurWorkingPlace.html" title="class in fr.ici.dataImporter.paris">ApurWorkingPlace</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/ApurPOI.html#areaBound">areaBound</a></span> - Variable in class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/ApurPOI.html" title="class in fr.ici.dataImporter.paris">ApurPOI</a></dt>
<dd>
<div class="block">area of the POI for shops</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Building.html#areaHousingLot">areaHousingLot</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></dt>
<dd>
<div class="block">Distribution of the housing sizes in this building.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/POI.html#attendance">attendance</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/POI.html#attendanceIndice">attendanceIndice</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
